# -----------------------------
# q2pro makefile by [SkulleR]
# -----------------------------

include ../../pre.mk

TARGET = $(OUTPUTDIR)/q2pro$(EXEEXT)

LDFLAGS += -lm -lz

SRCFILES = cmd.c cmodel.c common.c prompt.c crc.c cvar.c \
	files.c mdfour.c net.c net_chan.c pmove.c sv_ccmds.c 	\
	sv_ents.c sv_game.c sv_init.c sv_main.c sv_send.c	\
	sv_user.c sv_world.c mvd_client.c mvd_parse.c mvd_record.c \
	ioapi.c unzip.c q_msg.c q_shared.c q_list.c q_uis.c q_field.c q_lex.c	\
	m_flash.c cl_cin.c cl_demo.c cl_draw.c cl_ents.c cl_fx.c cl_input.c	\
	cl_locs.c cl_main.c cl_newfx.c cl_parse.c cl_pred.c cl_ref.c	\
	cl_scrn.c cl_tent.c cl_ui.c cl_view.c console.c keys.c		\
	snd_dma.c snd_mem.c snd_mix.c

CFLAGS_WIN32 += -DUSE_DSOUND -DUSE_DDRAW -DUSE_DINPUT
SRCFILES_WIN32 = sys_win.c cd_win.c vid_win.c \
		 win_glimp.c win_wgl.c  win_dib.c \
		 win_swimp.c win_mouse.c win_wave.c \
		 win_ddraw.c win_dsound.c win_dinput.c
LDFLAGS_WIN32 += -mwindows -lws2_32 -lwinmm
RESFILES_WIN32 += q2.rc

SRCFILES_LINUX = sys_unix.c snd_linux.c cd_linux.c vid_sdl.c in_linux.c
ASMFILES_LINUX = snd_mixa.s
CFLAGS_LINUX += $(CFLAGS_SDL)
LDFLAGS_LINUX += -ldl -lX11 $(LDFLAGS_SDL)

include ../../post.mk

ifeq (win32,$(TARGETOS))
q2.o: $(INCLUDEDIR)/version.h
endif

