ifndef TARGETOS

TARGETSYS = $(shell uname -s)
TARGETOS = linux

ifneq (,$(findstring CYGWIN,$(TARGETSYS)))
TARGETOS = win32
endif

ifneq (,$(findstring MINGW,$(TARGETSYS)))
TARGETOS = win32
endif

endif

ifeq (win32,$(TARGETOS))
EXEEXT = .exe
SHLIBEXT = .dll
OUTDIRSUFFIX = x86
else
ifeq (linux,$(TARGETOS))
EXEEXT = #blank
SHLIBEXT = .so
OUTDIRSUFFIX = i386
else
$(error Unknown target OS)
endif
endif
