# -----------------------------
# q2pro makefile by [SkulleR]
# -----------------------------

include ../../pre.mk

TARGET = $(OUTPUTDIR)/game$(OUTDIRSUFFIX)$(SHLIBEXT)

VPATH += $(INSTALLDIR)/game
	
LDFLAGS += -lm -shared -fPIC

ifeq (win32,$(TARGETOS))
OBJFILES += game.def
endif

SRCFILES = q_shared.c \
	g_ai.c       g_save.c     m_boss2.c    m_gladiator.c  m_supertank.c \
	g_chase.c    g_spawn.c    m_boss31.c   m_gunner.c     m_tank.c \
	g_cmds.c     g_svcmds.c   m_boss32.c   m_hover.c      p_client.c \
	g_combat.c   g_target.c   m_boss3.c    m_infantry.c   p_hud.c \
	g_func.c     g_trigger.c  m_brain.c    m_insane.c     p_trail.c \
	g_items.c    g_turret.c   m_chick.c    m_medic.c      p_view.c \
	g_main.c     g_utils.c    m_flash.c    m_move.c       p_weapon.c \
	g_misc.c     g_weapon.c   m_flipper.c  m_mutant.c \
	g_monster.c  m_actor.c    m_float.c    m_parasite.c \
	g_phys.c     m_berserk.c  m_flyer.c    m_soldier.c

include ../../post.mk

