# -----------------------------
# q2pro makefile by [SkulleR]
# -----------------------------

include ../../pre.mk

TARGET = $(OUTPUTDIR)/ref_gl$(SHLIBEXT)

VPATH += $(INSTALLDIR)/ref_gl \
	 $(INSTALLDIR)/ref_shared
	
LDFLAGS += -lm -ljpeg -shared -fPIC
CFLAGS += -DOPENGL_RENDERER -DTRUECOLOR_RENDERER -DUSE_LIBJPEG

SRCFILES = q_shared.c  \
	   q_list.c \
	   r_images.c  \
	   gl_draw.c   \
	   gl_image.c  \
	   gl_light.c  \
	   gl_mesh.c   \
	   gl_model.c  \
	   gl_rmain.c  \
	   gl_rmisc.c  \
	   gl_rsurf.c  \
	   gl_warp.c   \
	   qgl.c

SRCFILES_WIN32 = q_shwin.c
SRCFILES_LINUX = q_shunix.c

include ../../post.mk
