# -----------------------------
# q2pro makefile by [SkulleR]
# -----------------------------

include ../../pre.mk

TARGET=$(OUTPUTDIR)/q2proded$(EXEEXT)

CFLAGS+=-DDEDICATED_ONLY
LDFLAGS+=-lm -lz

SRCFILES=cmd.c cmodel.c common.c crc.c cvar.c \
	files.c mdfour.c net.c net_chan.c pmove.c sv_ccmds.c \
	sv_ents.c sv_game.c sv_init.c sv_main.c sv_send.c \
	sv_user.c sv_world.c mvd_client.c mvd_parse.c mvd_record.c \
	ioapi.c unzip.c q_shared.c q_list.c q_msg.c q_field.c \
	prompt.c cl_null.c

SRCFILES_WIN32+=sys_win.c
LDFLAGS_WIN32+=-mconsole -lws2_32 -lwinmm -ladvapi32
RESFILES_WIN32=q2.rc
RESFLAGS_WIN32+=-DDEDICATED_ONLY

SRCFILES_LINUX+=sys_unix.c
LDFLAGS_LINUX+=-ldl

include ../../post.mk

ifeq (win32,$(TARGETOS))
q2.o: $(INCLUDEDIR)/version.h
endif

