# -----------------------------
# q2pro makefile by [SkulleR]
# -----------------------------

include ../../pre.mk

TARGET = $(OUTPUTDIR)/ref_newgl$(SHLIBEXT)

VPATH += $(INSTALLDIR)/ref_newgl \
	 $(INSTALLDIR)/ref_shared
	
LDFLAGS += -lm -ljpeg -shared
CFLAGS += -DOPENGL_RENDERER -DTRUECOLOR_RENDERER -DUSE_LIBJPEG
CFLAGS_LINUX += -fPIC -DUSE_LIBPNG
LDFLAGS_LINUX += -fPIC -lpng

ifeq (win32,$(TARGETOS))
OBJFILES += ref_newgl.def
endif

SRCFILES = q_shared.c \
	   q_list.c \
	   r_images.c  \
	   r_bsp.c \
	   gl_draw.c   \
	   gl_images.c  \
	   gl_models.c \
	   gl_world.c \
	   gl_mesh.c \
	   gl_main.c  \
	   gl_state.c  \
	   gl_surf.c  \
	   gl_tess.c   \
	   gl_sky.c   \
	   qgl.c
	   
RESFILES += ref_newgl.rc

include ../../post.mk

ref_newgl.o: $(INCLUDEDIR)/version.h

