# -----------------------------
# q2pro makefile by [SkulleR]
# -----------------------------

include ../../pre.mk

TARGET = $(OUTPUTDIR)/ref_soft32$(SHLIBEXT)

VPATH += $(INSTALLDIR)/ref_soft \
	 $(INSTALLDIR)/ref_shared

LDFLAGS += -lm -ljpeg -shared -fPIC
CFLAGS += -DC_ONLY -DSOFTWARE_RENDERER -DTRUECOLOR_RENDERER -DUSE_LIBJPEG

SRCFILES = q_shared.c  \
	   q_list.c    \
	   sw_aclip.c  \
	   sw_alias.c  \
	   sw_bsp.c    \
	   sw_draw32.c \
	   sw_edge.c   \
	   sw_image.c  \
	   sw_light.c  \
	   sw_main.c   \
	   sw_misc.c   \
	   sw_model.c  \
	   sw_part32.c \
	   sw_poly.c   \
	   sw_polyse.c \
	   sw_rast.c   \
	   sw_scan.c   \
	   sw_sprite.c \
	   sw_surf.c   \
	   r_images.c

SRCFILES_WIN32 = q_shwin.c

SRCFILES_LINUX = q_shunix.c

include ../../post.mk
